## Retrieve Destination

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Status Codes

- **200**: Success
- **4XX**: Client error
- **5XX**: Server error

### Example JSON Response

```json
{
  "id": "<string>",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "name": "<string>",
  "description": "<string>",
  "code": "<string>",
  "active": true,
  "url": "<string>",
  "credentials": {
    "id": "<string>",
    "type": "<string>",
    "destination": "<string>",
    "version": 123,
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>",
    "destinationId": "<string>",
    "name": "<string>",
    "apiKey": "api key",
    "secret": "api secret"
  }
}
```

### Additional Information

#### Authorization
**Type**: `string`
**In**: `header`
**Required**: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

#### Path Parameters
- **orgId**: `string` (required) - UUID of the organization
- **id**: `string` (required) - The UUID of the webhook destination.

### Response Description
- **200**: Returns the Destination, response containing details of a webhook destination.
- **id**: `string` (required) - The UUID of the entity.
- **version**: `integer<int64>` - The version number.
- **dtCreated**: `string<date-time>` - The DateTime when this item was created.
- **dtLastModified**: `string<date-time>` - The DateTime when this item was last modified.
- **createdBy**: `string` - The ID of the user who created this item.
- **lastModifiedBy**: `string` - The ID of the user who last modified this item.
- **name**: `string`
- **description**: `string`
- **code**: `string`
- **active**: `boolean`
- **url**: `string` - The URL to which webhook requests are sent.
- **credentials**: This schema defines the credentials required for m3ter request signing.
